// /**
//  * The C++ Package of LERI (Learning Engine to Recognize Life).
//  * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
//  * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
//  *
//  */

// #ifndef LERI_PIVOT_SAMPLER_H
// #define LERI_PIVOT_SAMPLER_H

// #include "leri/common.h"
// #include "leri/cgmd/coord.h"
// #include "leri/cgmd/affine.h"
// #include "leri/cgmd/random.h"
// #include "leri/cgmd/h5_support.h"
// #include "leri/cgmd/timing.h"
// #include "leri/cgmd/deriv_engine.h"

// namespace leri {

// struct PivotLocation {
//   int rama_atom[5];
//   int pivot_range[2];
//   int restype;
// };

// class PivotStats {
// public:
//   uint64_t n_success;
//   uint64_t n_attempt;
//   PivotStats() {reset();}
//   void reset() {n_attempt = n_success = 0u;}
// };



// // FIXME take a set of temperatures and propose at the appropriate temperature
// class PivotSampler {
// public:
//   PivotSampler(): num_system_(0), n_layer(0), n_bin(0), n_pivot_loc(0) {}
//   PivotSampler(hid_t grp, int num_system)
//   :num_system_(num_system),
//    n_layer(h5::get_dset_size(3, grp, "proposal_pot")[0]), 
//    n_bin  (h5::get_dset_size(3, grp, "proposal_pot")[1]),
//    n_pivot_loc(h5::get_dset_size(2, grp, "pivot_atom")[0]),
//    pivot_stats(num_system_),
//    pivot_loc(n_pivot_loc),
//    proposal_prob_cdf(n_layer*n_bin*n_bin) {
//     // using namespace h5;
//     h5::check_size(grp, "proposal_pot", n_layer,   n_bin, n_bin);
//     h5::check_size(grp, "pivot_atom",  n_pivot_loc, 5);
//     h5::check_size(grp, "pivot_range",   n_pivot_loc, 2);
//     h5::check_size(grp, "pivot_restype", n_pivot_loc);

//     h5::traverse_dset<2,int>(grp, "pivot_atom",  [&](size_t np, size_t na, int x) {pivot_loc[np].rama_atom[na] =x;});
//     h5::traverse_dset<2,int>(grp, "pivot_range",   [&](size_t np, size_t j,  int x) {pivot_loc[np].pivot_range[j]=x;});
//     h5::traverse_dset<1,int>(grp, "pivot_restype", [&](size_t np,      int x) {pivot_loc[np].restype =x;});

//     for(auto &p: pivot_loc) {
//       if(p.restype<0 || p.restype>=n_layer) throw string("invalid pivot restype");
//       for(int na=0; na<5; ++na) {
//         if(p.pivot_range[0] <= p.rama_atom[na] && p.rama_atom[na] < p.pivot_range[1])
//           throw string("pivot_range cannot contain any atoms in pivot_atom ") + 
//             to_string(p.pivot_range[0]) + " <= " + to_string(p.rama_atom[na]) + 
//             " < " + to_string(p.pivot_range[1]);
//       }
//     }

//     h5::traverse_dset<3,float>(grp, "proposal_pot", [&](size_t nl, size_t nx, size_t ny, float x) {proposal_pot.push_back(x);});
//     for(int nl=0; nl<n_layer; ++nl) {
//       double sum_prob = 0.;
//       for(int i=0; i<n_bin*n_bin; ++i) {
//         sum_prob += exp(-proposal_pot[nl*n_bin*n_bin + i]);
//         proposal_prob_cdf[nl*n_bin*n_bin + i] = sum_prob;
//       }

//       // normalize both the negative log probability and the cdf
//       double inv_sum_prob = 1./sum_prob;
//       double lsum_prob = log(sum_prob);
//       for(int i = 0; i < n_bin*n_bin; i++) {
//         proposal_prob_cdf[nl*n_bin*n_bin + i] *= inv_sum_prob;
//         proposal_pot[nl*n_bin*n_bin + i]      += lsum_prob;
//       }
      
//       proposal_prob_cdf[(nl+1)*n_bin*n_bin-1] = 1.f;  // ensure no rounding error here
//     }
//   }

//   void reset_stats() {
//     for (int i = 0; i < pivot_stats.size(); i++) {
//       pivot_stats[i].reset();
//     }
//     // for(auto &s: pivot_stats) { s.reset(); }
//   };
//   void execute_random_pivot(float* delta_lprob, uint32_t seed, uint64_t n_round, SysArray pos) const;
//   void pivot_monte_carlo_step(uint32_t seed, uint64_t round, const vector<float>& temperatures, CGMDEngine<float>& engine);

// public:
//   int num_system_;
//   int n_layer;
//   int n_bin;
//   int n_pivot_loc;
//   vector<PivotStats>  pivot_stats;
//   vector<PivotLocation> pivot_loc;
//   vector<float>     proposal_pot;
//   vector<float>     proposal_prob_cdf;

// };


// } // namespace leri
// #endif // LERI_CGMD_H_

