/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_HCLUSTER_H_
#define LERI_HCLUSTER_H_

#include "leri/common.h"
#include "leri/util/fileutil.h"

// #include <math.h>

// #include<map>
// #include<list>
// #include<vector>

namespace leri {

struct cPoint_t
{
  int index;               // ordered index of this point
  vector<double> point;    // position of the point
  double data;             // measurement
  double min_dist_to_set;  // R_index
  int parent_index;        // parent index
  list<int> children;      // children of this node
};


// struct HCluster
template <typename Dtype>
class HCluster {
public:
  HCluster() {}
  ~HCluster() {}

public:
  void actuate();
public:
  int index;               // ordered index of this point
  vector<double> point;    // position of the point
  double data;             // measurement
  double min_dist_to_set;  // R_index
  int parent_index;        // parent index
  list<int> children;      // children of this node

protected:
  DISABLE_COPY_AND_ASSIGN(HCluster);
}; // class HCluster

void hcluster_points(list<cPoint_t*> &input_points, map<int, cPoint_t*> &output_points, bool print=false);
void compute_n_clusters(int cluster_count, map<int, cPoint_t*> &output_points, vector<list<cPoint_t*> > &clusters);



} // namespace leri
#endif // LERI_HCLUSTER_H_

