/**
 * The part C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_COMPUTE_RATE_H_
#define LERI_COMPUTE_RATE_H_

#include "leri/common.h"

namespace leri {
// Neural Network
#define NOP 3   // Number of output
#define HLN 5   // Number of nodes in hidden layer

template <typename Dtype>
void compute_acc(Dtype* rate, Dtype* opt, int num = 0, int nfs = 0, Dtype **data = NULL) {
  Dtype actualvalue[NOP];
  nfs -= 1;
  int Sod = (nfs + NOP)*HLN + HLN + NOP;
  // Weight and bias values of neural network
  vector <Dtype> wght ((NOP + nfs)*HLN);
  vector <Dtype> bias (HLN + NOP);
  int TRcnt;//, TEcnt;
  Dtype TRrate = 0.0;//, TErate = 0.0;

  for(int i = 0; i < (nfs+NOP)*HLN; i++) {
    wght[i] = opt[i];
  }

  for(int i = (nfs+NOP)*HLN; i < Sod; i++) {
    bias[i-(nfs+NOP)*HLN] = opt[i];
  }

  // =============== Calculate the train rate =============== 
  TRcnt = 0; 
  for(int k = 0; k < num; k++) {
    fnn(actualvalue, data[k], nfs, wght, bias);
    if(data[k][nfs] == 1.0) {
      if(round(actualvalue[0])==1.0&&round(actualvalue[1])==0.0&&round(actualvalue[2])==0.0) {
        TRcnt += 1;
      }
    }
    if(data[k][nfs] == 2.0) {
      if(round(actualvalue[0])==0.0&&round(actualvalue[1])==1.0&&round(actualvalue[2])==0.0) {
        TRcnt += 1;
      }
    }
    if(data[k][nfs] == 3.0) {
      if(round(actualvalue[0])==0.0&&round(actualvalue[1])==0.0&&round(actualvalue[2])==1.0) {
        TRcnt += 1;
      }
    }
  }
  TRrate = ((Dtype)TRcnt / (Dtype)num) * 100.0;
  // =============== Calculate the classification rate =============== 
  *rate = TRrate;
  // rate[1] = TErate;
  // printf("-- NiRecor: training accuracy = %.2f%%, test acc. = %.2f%%.\n", rate[0], rate[1]);
}


}  // namespace leri

#endif  // LERI_COMPUTE_RATE_H_
