/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains of HTML
 */

#ifndef LERI_HTML_H_
#define LERI_HTML_H_

#include "leri/common.h"
#include "leri/util/fileutil.h"
#include "leri/gio/htmlstr.h"

namespace leri {

template <typename Dtype>
class HTML {
public:
  // inline HTML(string file) {
  explicit HTML(string output_dirt = "", string job_name = "", bool refresh = 0)
  :output_dirt_(output_dirt),
   job_name_(job_name),
   refresh_(refresh) {
    // template_html_path_ = string(HTML_DIRT) + "/template/html/"; // TODO: move to relative path
    // template_html_path_ = "/var/www/html/leri/template/html/"; // TODO: move to relative path
    template_html_path_ = string(WEBTMPT) + "/template/html/";
    #ifdef USE_WEB
    // www_ = string(HTTPS);
    www_ = string(HTTPS) + "/";
    #else
    www_ = string(WEBTMPT) + "/";
    #ifdef USE_STATIC
    www_ = string(HTTPS) + "/";

    // string str = "";
    // char arg[90];
    // char exepath[PATH_MAX+1] = {0};
    // sprintf(arg, "/proc/%d/exe", getpid());
    // readlink(arg, exepath, 1024);
    // str = string(exepath);
    // int idx_pos = 0;
    // for (int i = 0; i < 4; i++) {
    //   idx_pos = str.find_last_of("/\\");
    //   str = str.substr(0, idx_pos);
    // }
    // template_html_path_ = str + "/leri/www/html/leri/template/html/";
    template_html_path_ = "";

    #endif
    #endif
    base_name_ = output_dirt_ + job_name_;
    output_html_ = output_dirt_ + "index.html";
  }
  ~HTML() {}

  void init() {
    write_string(output_html_, "");
  }
  inline void set_refresh(int refresh) {
    refresh_ = refresh;
    init();
  }
  inline void set_jobinfo(string task, string user_name, string jobid, string jobcpt, string jobwat, string jobrun) {
    task_       = task;
    user_name_  = user_name;
    job_id_     = jobid;
    job_cpt_    = jobcpt;
    job_wat_    = jobwat;
    job_run_    = jobrun;
    job_tot_    = num2string(stoi(job_cpt_) + stoi(job_wat_) + stoi(job_run_), 0);
  }
  void read_log(string log_file);
  void read_html_template(string type_name);
  void keyword_replace();
  // void read_ngl_template(string type_name);
  void actuate_html();
  void finish() {}

public:
  void set_max_values(vector<Dtype> v);

private:
  string str_chord();
private:
  string output_dirt_;
  string base_name_;
  string job_name_;
  string task_;
  string user_name_;
  string job_id_;
  string job_tot_;
  string job_cpt_;
  string job_wat_;
  string job_run_;



  string str_line_;
  string str_accordion_;  // TODO: delete
  string str_section_a_;
  string str_section_b_;
  string str_ngl_;
  int refresh_;

  string output_html_;
  string template_html_path_;

  string str_date_;
  vector<string> str_summary_;
  vector<Dtype> vec_min_max_;

  //TODO:
  string www_;
};


} // namespace leri
#endif // LERI_HTML_H_
