/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains of HTML
 */

#ifndef LERI_HTML_TEMPLATE_H_
#define LERI_HTML_TEMPLATE_H_

#include "leri/common.h"

namespace leri {

const vector<string> str_thtml {
"<!doctype html>",
"<html lang=\"en\">",
"<head>",
"  <!-- Required meta tags -->",
"  <!-- <meta charset=\"utf-8\"> -->",
"  <meta charset=\"UTF-8\">",
"  <meta name=\"viewport\" content=\"width=device-width, initial-scale=1, shrink-to-fit=no\">",
"  <link rel=\"icon\" href=\"DIRECTORY/img/favicon.ico\" type=\"image/png\">",
"  <title>JOB_TITLE | Leri Analytics</title>",
"  <!-- Bootstrap CSS -->",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/css/bootstrap.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/vendors/linericon/style.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/css/font-awesome.min.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/vendors/owl-carousel/owl.carousel.min.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/vendors/lightbox/simpleLightbox.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/vendors/nice-select/css/nice-select.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/vendors/animate-css/animate.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/vendors/flaticon/flaticon.css\">",
"  <!-- main css -->",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/css/style.css\">",
"  <link rel=\"stylesheet\" href=\"DIRECTORY/css/responsive.css\">",
"  <!-- Plotly.js -->",
"  <script src=\"https://cdn.plot.ly/plotly-latest.min.js\"></script>",
"  <!-- NGLviewer Script -->",
"  <script src=\"DIRECTORY/js/ngl-v0.10.4.js\"></script>",
"  <!-- D3 -->",
"  <script src=\"DIRECTORY/js/d3.v3.min.js\"></script>",
"</head>",
"<body>",
"  <!--================Header Menu Area =================-->",
"  <header class=\"header_area\">",
"    <div class=\"top_menu\">",
"      <div class=\"container\">",
"        <div class=\"top_inner\">",
"          <div class=\"float-left\">",
"            <a href=\"DIRECTORY/about/about.html\">About Leri</a>",
"            <a href=\"#\">Support</a>",
"          </div>",
"          <div class=\"float-right\">",
"            <ul class=\"list header_socila\">",
"              <li><a href=\"#\"><i class=\"fa fa-bitbucket\"></i></a></li>",
"              <li><a href=\"#\"><i class=\"fa fa-github\"></i></a></li>",
"              <li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>",
"            </ul>",
"          </div>",
"        </div>",
"      </div>",
"    </div>",
"    <div class=\"main_menu\" id=\"mainNav\">",
"      <nav class=\"navbar navbar-expand-lg navbar-light\">",
"        <div class=\"container\">",
"        <!-- Brand and toggle get grouped for better mobile display -->",
"        <a class=\"navbar-brand logo_h\" href=\"DIRECTORY/index.html\" target=\"_blank\">",
"          <!-- <img src=\"DIRECTORY/img/logo/logo-2.png\"> -->",
"          <img src=\"DIRECTORY/img/logo/logo-orange-small.png\">",
"          <img src=\"DIRECTORY/img/logo/logo-orange-small.png\">",
"        </a>",
"        <button class=\"navbar-toggler\" type=\"button\" data-toggle=\"collapse\" data-target=\"#navbarSupportedContent\" aria-controls=\"navbarSupportedContent\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">",
"        <span class=\"icon-bar\"></span>",
"        <span class=\"icon-bar\"></span>",
"        <span class=\"icon-bar\"></span>",
"        </button>",
"        <!-- Collect the nav links, forms, and other content for toggling -->",
"        <div class=\"collapse navbar-collapse offset\" id=\"navbarSupportedContent\">",
"          <ul class=\"nav navbar-nav menu_nav ml-auto\">",
"            <li class=\"nav-item active\"><a class=\"nav-link\" href=\"DIRECTORY/index.html\" target=\"_blank\">Home</a></li>",
"            <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/about/about.html\" target=\"_blank\">About</a></li>",
"            <li class=\"nav-item submenu dropdown\">",
"              <a href=\"#\" target=\"_blank\" class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">Submission</a>",
"              <ul class=\"dropdown-menu\">",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/services/eca.html\">Coupling Analysis</a></li>",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/services/folding.html\" target=\"_blank\">Protein Folding</a></li>",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/services/psi.html\">Protein Informatics</a></li>",
"              </ul>",
"            </li>",
"            <!-- ",
"            <li class=\"nav-item submenu dropdown\">",
"              <a href=\"#\" class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">Applications</a>",
"              <ul class=\"dropdown-menu\">",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/blog.html\" target=\"_blank\">Blog</a></li>",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/single-blog.html\" target=\"_blank\">Blog Details</a></li>",
"              </ul>",
"            </li>  --> ",
"            <li class=\"nav-item submenu dropdown\">",
"              <a href=\"#\" class=\"nav-link dropdown-toggle\" data-toggle=\"dropdown\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">Resources</a>",
"              <ul class=\"dropdown-menu\">",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/resources/applications.html\">Applications</a></li>",
"                <li class=\"nav-item\"><a class=\"nav-link\" href=\"DIRECTORY/resources/download.html\">Download</a></li>",
"              </ul>",
"            </li> ",
"            <li class=\"nav-item\">",
"              <a class=\"nav-link\" href=\"DIRECTORY/contact.html\" target=\"_blank\">Contact</a>",
"            </li>",
"            </ul>",
"          </div> ",
"        </div>",
"      </nav>",
"    </div>",
"  </header>",
"  <!--================Header Menu Area =================-->",
"        ",
"  <!--================Home Banner Area =================-->",
" <!--  <section class=\"banner_area\">",
"    <div class=\"banner_inner d-flex align-items-center\">",
"      <div class=\"overlay bg-parallax\" data-stellar-ratio=\"0.9\" data-stellar-vertical-offset=\"0\" data-background=\"\"></div>",
"      <div class=\"container\">",
"        <div class=\"banner_content text-center\">",
"          <h2>BLOG DETAILS</h2>",
"          <div class=\"page_link\">",
"            <a href=\"index.html\" target=\"_blank\">Home</a>",
"            <a href=\"single-blog.html\" target=\"_blank\">BLOG DETAILS</a>",
"          </div>",
"        </div>",
"      </div>",
"    </div>",
"  </section> -->",
"  <!--================End Home Banner Area =================-->",
"       ",
"  <!--================Blog Area =================-->",
"  <section class=\"blog_area p_120\">",
"    <div class=\"container\">",
"      <div class=\"row\">",
"        <div class=\"col-lg-9\">",
"          <div class=\"blog_left_sidebar\">",
"            <article class=\"row blog_item\">",
"              <div class=\"col-md-2\"></div>",
"              <div class=\"col-md-10\">",
"                <div class=\"blog_post\">",
"                  <div class=\"blog_details\">",
"                    <h2>JOB_TITLE</h2>",
"                    <p>",
"                      <i class=\"lnr lnr-tag\"></i> TASK_NAME &emsp;",
"                      <!-- <i class=\"lnr lnr-calendar-full\"></i> TIME_STARTED submitted &emsp; -->",
"                      <!-- <i class=\"lnr lnr-calendar-full\"></i> TIME_COMPLETED &emsp; -->",
"                      <i class=\"lnr lnr-license\"></i> JOB_ID &emsp;",
"                      <i class=\"lnr lnr-user\"></i> USER_NAME &emsp;",
"                      <i class=\"lnr lnr-calendar-full\"></i> CURRENT_TIME",
"                    </p>",
"                    <p>JOB_SUMMARY</p><!-- JOBDESCRIPTION -->",
"                    <a href=\"DIRECTORY/services/eca.html\" target=\"_blank\" class=\"blog_btn radius\">Submit a new job <i class=\"fa fa-long-arrow-right\"></i></a>",
"                  </div>",
"                </div>",
"              </div>",
"            </article>",
"            SECTION_PART",
"            <article class=\"row blog_item\">",
"              <div class=\"col-md-2\">",
"                <div class=\"blog_info text-right\">",
"                  <div class=\"post_tag\">",
"                    Figure FIGURE_NUMBER",
"                  </div>",
"                  <ul class=\"blog_meta list\">",
"                    <li><a href=\"FIGURE_NAME.png\" target=\"_blank\">PNG<i class=\"lnr lnr-download\"></i></a></li>",
"                    <li><a href=\"FIGURE_DATA_NAME\" target=\"_blank\">Data<i class=\"lnr lnr-download\"></i></a></li>",
"                    <!-- <li><a href=\"#\">12 Dec, 2017<i class=\"lnr lnr-calendar-full\"></i></a></li> -->",
"                    <!-- <li><a href=\"#\">1.2M Views<i class=\"lnr lnr-eye\"></i></a></li> -->",
"                    <!-- <li><a href=\"#\">06 Comments<i class=\"lnr lnr-bubble\"></i></a></li> -->",
"                  </ul>",
"                </div>",
"              </div>",
"              <div class=\"col-md-10\">",
"                <div class=\"blog_post\">",
"                  <div class=\"blog_details\">",
"                    <h2>FIGURE_TITLE</h2>",
"                  </div>",
"                  <div id=\"FIGURE_ID\"></div>",
"                  <script src=\"FIGURE_ID.js\" type=\"text/javascript\"></script>",
"                  <!-- <img src=\"FIGURE_NAME.png\" alt=\"\"> -->",
"                  <div class=\"blog_details\">",
"                    <!-- <h2>FIGURE_TITLE</h2> -->",
"                    <p style=\"text-align: justify;\">FIGURE_CAPTION</p>",
"                    <!-- <a href=\"DIRECTORY/single-blog.html\" target=\"_blank\" class=\"blog_btn\">View More</a> -->",
"                  </div>",
"                </div>",
"              </div>",
"            </article>",
"            SECTION_PART",
"            <article class=\"row blog_item\">",
"              <div class=\"col-md-2\">",
"                <div class=\"blog_info text-right\">",
"                  <div class=\"post_tag\">",
"                    Figure FIGURE_NUMBER",
"                  </div>",
"                  <ul class=\"blog_meta list\">",
"                    <li><a href=\"IMAGE_NAME.png\" target=\"_blank\">PNG<i class=\"lnr lnr-download\"></i></a></li>",
"                  </ul>",
"                </div>",
"              </div>",
"              <div class=\"col-md-10\">",
"                <div class=\"blog_post\">",
"                  <div class=\"blog_details\">",
"                    <h2>FIGURE_TITLE</h2>",
"                  </div>",
"                  <div class=\"row\">",
"                    <div class=\"col-6\">",
"                      <img class=\"img-fluid\" src=\"DIRECTORY/img/blog/post-img1.jpg\" alt=\"\">",
"                    </div>",
"                    <div class=\"col-6\">",
"                      <img class=\"img-fluid\" src=\"DIRECTORY/img/blog/post-img2.jpg\" alt=\"\">",
"                    </div>",
"                  </div>",
"                  <div class=\"blog_details\">",
"                    <!-- <h2>FIGURE_TITLE</h2> -->",
"                    <p style=\"text-align: justify;\">FIGURE_CAPTION</p>",
"                    <!-- <a href=\"DIRECTORY/single-blog.html\" target=\"_blank\" class=\"blog_btn\">View More</a> -->",
"                  </div>",
"                </div>",
"              </div>",
"            </article>",
"            SECTION_PART",
"          </div>",
"        </div>",
"        <div class=\"col-lg-3\">",
"          <div class=\"blog_right_sidebar\">",
"            <aside class=\"single_sidebar_widget search_widget\">",
"              <form role=\"form\" action=\"../../cgi-bin/leri/search_job.cgi\" method=\"post\" enctype=\"multipart/form-data\">",
"                <div class=\"input-group\">",
"                  <input type=\"text\" class=\"form-control\" name=\"name_search\" id=\"id_search\" placeholder=\"Search A Job\">",
"                  <span class=\"input-group-btn\">",
"                  <button class=\"btn btn-default\" type=\"submit\"><i class=\"lnr lnr-magnifier\"></i></button>",
"                  </span>",
"                </div><!-- /input-group -->",
"              </form>",
"              <div class=\"br\"></div>",
"            </aside>",
"",
"            <aside class=\"single_sidebar_widget post_category_widget\">",
"              <!-- <h4 class=\"widget_title\">Statistics</h4> -->",
"              <p><font color=\"#FF9F00\"><strong>Note</strong></font></br>",
"                &#9752; The analytical results will be stored on this server for <font color=\"#FF0000\"><strong>ONLY 21 DAYS</strong></font>",
"                </br>",
"                &#9752; Figures: select a region to zoom in, double-click to zoom back out, and click the legend to select specific a chart",
"              </p>",
"              <div class=\"br\"></div>",
"            </aside>",
"",
"            <aside class=\"single_sidebar_widget post_category_widget\">",
"              <h4 class=\"widget_title\">Statistics</h4>",
"              <ul class=\"list cat-list\">",
"                <li><a href=\"#\" class=\"d-flex justify-content-between\">",
"                  <p>Total</p><p>JOBS_TOTAL</p></a>",
"                </li>",
"                <li>",
"                  <a href=\"#\" class=\"d-flex justify-content-between\">",
"                  <p>Completed</p><p>JOBS_COMPLETED</p></a>",
"                </li>",
"                <li>",
"                  <a href=\"#\" class=\"d-flex justify-content-between\">",
"                  <p>Waiting</p><p>JOB_WAITING</p></a>",
"                </li>",
"                <li>",
"                  <a href=\"#\" class=\"d-flex justify-content-between\">",
"                  <p>Running</p><p>JOB_RUNING</p></a>",
"                </li>",
"              </ul>",
"              <!-- <div class=\"br\"></div> -->",
"            </aside>",
"          </div>",
"        </div>",
"      </div>",
"    </div>",
"  </section>",
"  <!--================Blog Area =================-->",
"  <!--================Footer Area =================-->",
"  <footer class=\"footer_area p_80\">",
"    <div class=\"container\">",
"      <div class=\"row footer_inner\">",
"        <div class=\"col-lg-5 col-sm-6\">",
"          <aside class=\"f_widget ab_widget\">",
"            <div class=\"f_title\">",
"            <h3>About Leri</h3>",
"            </div>",
"            <p style=\"text-align: justify;\">Leri is an end-to-end platform for biological data analysis. It has a comprehensive, flexible ecosystem of tools, libraries and community resources that allows researchers apply the state-of-the-art in computational biology and developers easily build and deploy bioinformatics applications.</p>",
"            <p>Copyright <script>document.write(new Date().getFullYear());</script> &copy; <a href=\"DIRECTORYa/index.html\" target=\"_blank\">Leri Analytics</a> - All right reserved</p>",
"          </aside>",
"        </div>",
"        <div class=\"col-lg-5 col-sm-6\">",
"          <aside class=\"f_widget news_widget\">",
"            <div class=\"f_title\">",
"            <h3>Newsletter</h3>",
"            </div>",
"            <p>Stay updated with latest Leri</p>",
"            <div id=\"mc_embed_signup\">",
"              <form target=\"_blank\" action=\"\" method=\"get\" class=\"subscribe_form relative\">",
"                <div class=\"input-group d-flex flex-row\">",
"                  <input name=\"EMAIL\" placeholder=\"Enter email address\" onfocus=\"this.placeholder = ''\" onblur=\"this.placeholder = 'Email Address '\" required=\"\" type=\"input-area\">",
"                  <button class=\"btn sub-btn\"><span class=\"lnr lnr-arrow-right\"></span></button>  ",
"                </div>    ",
"                <div class=\"mt-10 info\"></div>",
"              </form>",
"              <aside class=\"f_widget social_widget\">",
"               <!--  <div class=\"f_title\">",
"                  <h3>Follow Us</h3>",
"                </div> -->",
"                <!-- <p>Let us be social</p> -->",
"                <ul class=\"list\">",
"                  <li><a href=\"#\"><i class=\"fa fa-bitbucket\"></i></a></li>",
"                  <li><a href=\"#\"><i class=\"fa fa-github\"></i></a></li>",
"                  <li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>",
"                </ul>",
"              </aside>",
"            </div>",
"          </aside>",
"        </div>",
"        <div class=\"col-lg-2\">",
"          <aside class=\"f_widget social_widget\">",
"           <!--  <div class=\"f_title\">",
"              <h3>Follow Us</h3>",
"            </div> -->",
"            <!-- <p>Let us be social</p> -->",
"            <img src=\"DIRECTORY/img/logo/leri_gray_logo.png\" alt=\"\">",
"            <!-- <ul class=\"list\">",
"              <li><a href=\"#\"><i class=\"fa fa-bitbucket\"></i></a></li>",
"              <li><a href=\"#\"><i class=\"fa fa-github\"></i></a></li>",
"              <li><a href=\"#\"><i class=\"fa fa-twitter\"></i></a></li>",
"            </ul> -->",
"          </aside>",
"          <div style=\"display:inline-block;width:155px;\">",
"            <script type=\"text/javascript\" src=\"//ra.revolvermaps.com/0/0/7.js?i=0clf4vxlz50&amp;m=0c&amp;c=626567&amp;cr1=ffffff&amp;br=5&amp;sx=0&amp;dds=0&amp;ds=0&amp;cw=797d7f&amp;cb=e5e7e9\" async=\"async\"></script>",
"          </div>",
"        </div>",
"      </div>",
"    </div>",
"  </footer>",
"  <!--================End Footer Area =================-->",
"",
"  <!-- Optional JavaScript -->",
"  <!-- jQuery first, then Popper.js, then Bootstrap JS -->",
"  <script src=\"DIRECTORY/js/jquery-3.2.1.min.js\"></script>",
"  <script src=\"DIRECTORY/js/popper.js\"></script>",
"  <script src=\"DIRECTORY/js/bootstrap.min.js\"></script>",
"  <script src=\"DIRECTORY/js/stellar.js\"></script>",
"  <script src=\"DIRECTORY/vendors/lightbox/simpleLightbox.min.js\"></script>",
"  <script src=\"DIRECTORY/vendors/nice-select/js/jquery.nice-select.min.js\"></script>",
"  <script src=\"DIRECTORY/vendors/isotope/imagesloaded.pkgd.min.js\"></script>",
"  <script src=\"DIRECTORY/vendors/isotope/isotope-min.js\"></script>",
"  <script src=\"DIRECTORY/vendors/owl-carousel/owl.carousel.min.js\"></script>",
"  <script src=\"DIRECTORY/js/jquery.ajaxchimp.min.js\"></script>",
"  <script src=\"DIRECTORY/vendors/counter-up/jquery.waypoints.min.js\"></script>",
"  <script src=\"DIRECTORY/vendors/counter-up/jquery.counterup.min.js\"></script>",
"  <script src=\"DIRECTORY/js/mail-script.js\"></script>",
"  <!--gmaps Js-->",
"  <script src=\"https://maps.googleapis.com/maps/api/js?key=AIzaSyCjCGmQ0Uq4exrzdcL6rvxywDDOvfAu6eE\"></script>",
"  <script src=\"DIRECTORY/js/gmaps.min.js\"></script>",
"  <script src=\"DIRECTORY/js/theme.js\"></script>",
"</body>"
};


} // namespace leri
#endif // LERI_HTML_TEMPLATE_H_
