/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains the implementation of json 
 *
 */

#ifndef LERI_JSON_H_
#define LERI_JSON_H_

#include "leri/common.h"
#include "leri/util/strutil.h"
#include "leri/util/fileutil.h"

namespace leri {

template <typename Dtype>
class Json {
public:
  Json(string file_name, string output_dirt = "", string job_name = "")
  :output_dirt_(output_dirt),
   job_name_(job_name),
   file_name_(file_name) {
    base_name_ = output_dirt_ + job_name_;
  }
  ~Json(){}

  void init(void* contents);
  void finish() {}
  void write();

private:
  string heatmap();














  // void set_size(int nrow, int ncol);
  // void read_js_template();
  // // void write_vec_in_json(Dtype* vec, string labels);
  // void write_vec_in_js(Dtype* vec, string labels, const vector<string>& xylabel = vector<string>(), const vector<int>& margin = {30, 5, 50, 50}, const string maker = "lines");
  // void write_mtx_line_in_js(Dtype** mtx, 
  //                           const vector<string>& labels_row = vector<string>(), 
  //                           const vector<string>& labels_col = vector<string>(), 
  //                           const vector<string>& xylabel = vector<string>(), 
  //                           const vector<int>& margin = {30, 180, 50, 120}, 
  //                           const string maker = "lines+markers", 
  //                           const string xtype = "");
  // void write_mtx_in_js(Dtype** mtx, 
  //                      const vector<string>& labels_row = vector<string>(), 
  //                      const vector<string>& labels_col = vector<string>(), 
  //                      const vector<string>& xylabel = vector<string>(), 
  //                      const vector<int>& margin = {30, 180, 50, 120, 750, 600}); // margin includes: top, right, bottom, left, width, height
  // void write_mtx_in_json(Dtype** mtx, vector<string> labels_row, const vector<string>& labels_col = vector<string>());

private:
  string output_dirt_;    // output directory
  string job_name_;       // job name
  string base_name_;
  string file_name_;
  // string infile_name_;
  // int nrow_;
  // int ncol_;
  int*    plot_info_; // size of data for xaxis, yaxis, legends, number of specific data points
  string* plot_ttxy_; // type (heatmap ...), title, xlabel, ylabel
  string* plot_legd_; // legends
  string* plot_xtic_; // xtickers
  string* plot_ytic_; // ytickers
  Dtype*  plot_marg_; // margin: width, height, top, right, bottom, left, rotation angle (x), rotation angle (y)
  Dtype*  plot_data_; // specific data points
  string* plot_text_; // texts for the specific data points
  Dtype** plot_mtxd_;
protected:
  DISABLE_COPY_AND_ASSIGN(Json);
}; // class Json

} // namespace leri
#endif // LERI_JSON_H_
