/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains the implementation of NGL 
 *
 */

#ifndef LERI_NGL_H_
#define LERI_NGL_H_

#include "leri/common.h"

namespace leri {

template <typename Dtype>
class NGL {
public:
  NGL(string pdb, string output_dirt = "", string job_name = "")
  :output_dirt_(output_dirt),
   job_name_(job_name),
   pdb_(pdb) {
    base_name_ = output_dirt_ + job_name_;
   }
  ~NGL() {}
  void init(string id_name);
  void write(vector<int> blocks);

private:
  string block_style(string name, vector<int> blocks, int idx_1, int idx_2);
  
private:
  string output_dirt_;
  string job_name_; 
  string base_name_;
  string pdb_;
  string id_name_;

protected:
  DISABLE_COPY_AND_ASSIGN(NGL);
}; // class NGL

} // namespace leri
#endif // LERI_NGL_H_
