/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains of PyMol
 */

#ifndef LERI_RSCRIPT_H_
#define LERI_RSCRIPT_H_

#include "leri/common.h"
#include "leri/util/fileutil.h"

namespace leri {

template <typename Dtype> 
class Rscript {
public:
  explicit Rscript() {}
  virtual ~Rscript() {}
 
  void init();
  void script(string file_name, Dtype** mtx, int m, int n, vector<string> label = vector<string>());
  void finish() {};

private:
  // string pymol_style();
  // string is_pdb(string pdb);
  // string block_style(string name, vector<int> blocks, int idx_1, int idx_2);
  // string export_style(string file_name, string block_name = "");

private:
  string str_;
  // string str_style_;
protected:
  DISABLE_COPY_AND_ASSIGN(Rscript);
};



} // namespace leri
#endif // LERI_RSCRIPT_H_
