/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_BAG_H_
#define LERI_BAG_H_

#include "leri/common.h"

namespace leri {

enum {ROOT, INNER, LEFT, NONE};

template <typename Dtype>
class Bag {
public:
  Bag() {
    type_ = LEFT;
    flag_deploy_ = false;
  }
  // void show_bag();

public:
  int type_;
  int cnt_child_;
  set<int> left_;
  set<int> right_;
  set<int> total_;
  int idx_bag_parent_;
  set<int> idx_bag_child_;

  vector<int> site_left_;
  vector<int> site_right_;
  vector<int> site_total_;
  vector<vector<int> > rotamer_left_;
  vector<vector<int> > rotamer_right_;
  vector<vector<Dtype> > Etcom_;
  vector<vector<int> > Rtcom_;
  vector<int> idx_;
  bool flag_deploy_;

  // backtrack
  Dtype EGMEC_;
  vector<int> RLGMEC_;
  vector<int> RRGMEC_;
};

} // namespace leri

#endif // LERI_BAG_H_