/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_GRAPH_H_
#define LERI_GRAPH_H_

#include "leri/common.h"

namespace leri {

typedef map<int, set <int> > Graph;
// void show_graph(Graph &graph);

// sort elements based on the size
template <class Dtype>
class RankSize {
public:
  RankSize(int a, Dtype b): idx(a), element(b) {}
  int idx;
  Dtype element;
  bool operator < (const RankSize& m) const {
    return element.size() < m.element.size();
  }
  bool operator > (const RankSize& m)const {
    return element.size() > m.element.size();
  }
};



} // namespace leri

#endif // LERI_GRAPH_H_
