/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_TREE_H_
#define LERI_TREE_H_

#include "leri/common.h"
#include "leri/util/strutil.h"
#include "leri/util/fileutil.h"
#include "leri/graph/graph.h"
#include "leri/graph/bag.h"

namespace leri {

template <typename Dtype>
class Tree {
public:
  int get_tree_width();
  void subgraph2tree_ecomposition(int idx, Graph& graph, string fname);
private:
  // void merge_bags(int depth);
public:
  vector <Bag<Dtype>> bags_;
  vector <Bag<Dtype>> bags_connect_;
}; // class 

}  // namespace leri

#endif  // LERI_TREE_H_