/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains class of Image.
 */

#ifndef LERI_IMAGE_H_
#define LERI_IMAGE_H_

#include "leri/common.h"

namespace leri {

#ifdef USE_OPENCV

typedef struct image {
  cv::Mat data;
  uint8_t label;
} img_struct;

template <typename Dtype>
class Image {
public:
  Image() {};
  ~Image() {}

  int num_img;
  int num_out;
  map<string, uint8_t> map_label;

  void get_sub_foler(string parent_dirt);
  void get_all_img(string parent_dirt);
  void get_rgb_img(string parent_dirt);
public:
  string get_filename(const string& output_dirt, const string& name) { return output_dirt.empty() ? name : output_dirt + name; }
  void read_images(const boost::filesystem::path& pth, uint8_t label, vector<image>& images, int w, int h);
  void set_ubyte_label(const string& label_file, std::vector<img_struct>::iterator begin, std::vector<img_struct>::iterator end);
  void set_ubyte_image(const string& image_file, std::vector<img_struct>::iterator begin, std::vector<img_struct>::iterator end);
  void convertor(const string& parent_dirt, const string& output_dirt, int w, int h, bool data_shuffle = true);
private:
 

protected:
  DISABLE_COPY_AND_ASSIGN(Image);
}; // class Image

#endif // USE_OPENCV

} // namespace leri
#endif // LERI_IMAGE_H_

