/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_LAYER_INPUT_H_
#define LERI_LAYER_INPUT_H_

#include "leri/common.h"
#include "leri/util/strutil.h"
#include "leri/layers/layer.h"

namespace leri {

template <typename Dtype>
class input_layer : public base_layer<Dtype> {
public:
  input_layer(const string layer_name, int w, int h = 1, int c = 1)
  :base_layer<Dtype>(layer_name, w, h, c) {
    // ptr_act_ = new_activation_function("identity");
    this->ptr_act_ = new_activation_func<Dtype>("identity");
  }
  virtual  ~input_layer() {}
  virtual string get_config_string();

  virtual void activate_nodes() {}
  virtual void calc_dw(const base_layer<Dtype>& top_layer, LMatrix<Dtype>& dw, const int train = 1) {}
  virtual void accumulate_signal(const base_layer<Dtype>& top_node, const LMatrix<Dtype>& w, const int train = 0) {}
  virtual void distribute_delta(base_layer<Dtype>& top, const LMatrix<Dtype>& w, const int train = 1) {}
};

} // namespace leri
#endif // LERI_LAYER_INPUT_H_
