/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_LAYER_SEMI_STOCHASTIC_POOLING_H_
#define LERI_LAYER_SEMI_STOCHASTIC_POOLING_H_

#include "leri/common.h"
#include "leri/layers/layer.h"
#include "leri/layers/max_pooling_layer.h"

namespace leri {

template <typename Dtype>
class semi_stochastic_pooling_layer :  public max_pooling_layer<Dtype> {
public:
  semi_stochastic_pooling_layer(const string layer_name, int pool_size)
  :max_pooling_layer<Dtype>(layer_name, pool_size) {}
  
  semi_stochastic_pooling_layer(const string layer_name, int pool_size, int stride)
  :max_pooling_layer<Dtype>(layer_name, pool_size, stride) {}

  virtual string get_config_string();
  virtual void accumulate_signal(const base_layer<Dtype>& top, const LMatrix<Dtype>& w, const int train = 0);
};

} // namespace leri
#endif // LERI_LAYER_SEMI_STOCHASTIC_POOLING_H_
