/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */
 
#ifndef LERI_NANOPORE_H_
#define LERI_NANOPORE_H_

#include "leri/common.h"
#include "hdf5.h"
#include "leri/util/strutil.h"
#include "leri/util/fileutil.h"

namespace leri {

template <typename Dtype>
class Nanopore {
public:
  Nanopore(){}
  virtual ~Nanopore(){}
  void read_fast5(string fnam, string fastq_fid);
protected:
  DISABLE_COPY_AND_ASSIGN(Nanopore);
}; // class Nanopore

} // namespace leri
#endif // LERI_NANOPORE_H_

