/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_NINET_H_
#define LERI_NINET_H_

#include "leri/common.h"

namespace leri {

// #define EPOCH        2 
#define IMAGE_SIZE  32
#define NUM_CHANNEL  1 // Color channels, e.g. R,G,B.
#define FILTER_SIZE  5
#define NUM_MAP      6
#define POOL_SIZE    2
#define UNIT_SIZE   12 
#define LABEL_SIZE  10
  
template <typename Dtype>
class NINET {
public:
  NINET(string output_dirt = "", string job_name = "", string solver = "adam", int echo = 20, int mbs = 24, Dtype lrate = 0.04, int threads = 1)
  :output_dirt_(output_dirt), 
   job_name_(job_name), 
   solver_(solver), echo_(echo), 
   mbs_(mbs), 
   lrate_(lrate), 
   threads_(threads){
    base_name_ = output_dirt_ + job_name_;
  }
  ~NINET(){}
public:
  void init();
  void actuate() {};
  void basic_cnn() {};
  static Dtype prediction(void* instance = NULL, void *param = NULL);
private:
  string output_dirt_;
  string job_name_;
  string base_name_;
  string solver_;
  int echo_;
  int mbs_;
  Dtype lrate_;
  int threads_;

  vector<vector<Dtype> > train_data;
  vector<int> train_label;
  vector<vector<Dtype> > test_data;
  vector<int> test_label;
protected:
  DISABLE_COPY_AND_ASSIGN(NINET);
}; // class NINET

} // namespace leri
#endif // LERI_NINET_H_
