/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_PHSI_H_
#define LERI_PHSI_H_

#include "leri/common.h"

namespace leri {

// #define EPOCH        2 
#define IMAGE_SIZE  32
#define NUM_CHANNEL  1 // Color channels, e.g. R,G,B.
#define FILTER_SIZE  5
#define NUM_MAP      6
#define POOL_SIZE    2
#define UNIT_SIZE   12 
// #define LABEL_SIZE  4

template <typename Dtype>
class Phsior {
public:
  Phsior(string output_dirt = "", string job_name = "", string solver = "adam", int echo = 20, int mbs = 24, Dtype lrate = 0.04, int threads = 1)
  :output_dirt_(output_dirt),
   job_name_(job_name),
   solver_(solver), 
   echo_(echo), mbs_(mbs), 
   lrate_(lrate), 
   threads_(threads) {
    base_name_ = output_dirt_ + job_name_;
  }
  ~Phsior(){}
public:
  void init(string train_df, string train_labl, string test_df = "", string test_labl = "");
  void actuate() {};
  void basic_cnn() {};
private:
  static Dtype prediction(void* instance = NULL, void *param = NULL);
private:
  string output_dirt_;
  string job_name_;
  string base_name_;
  string solver_;
  int echo_;
  int mbs_;
  Dtype lrate_;
  int threads_;

  vector<vector<Dtype> > train_data_;
  vector<vector<Dtype> > test_data_;

  int num_output_;

  vector<vector<Dtype> > train_data;
  vector<vector<Dtype> > train_label_;
  vector<int> train_label;
  vector<vector<Dtype> > test_data;
  vector<vector<Dtype> > test_label_;
  vector<int> test_label;
protected:
  DISABLE_COPY_AND_ASSIGN(Phsior);
}; // class Phsior

} // namespace leri
#endif // LERI_PHSI_H_
