/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains the implementation of Kmer 
 *
 */

#ifndef LERI_KMER_H_
#define LERI_KMER_H_

#include "leri/common.h"
#include "leri/util/fileutil.h"

namespace leri {

template <typename Dtype>
class Kmer {
public:
  Kmer(string file_name, string output_dirt){
  	file_name_   = file_name;
  	output_dirt_ = output_dirt;
  }
  virtual ~Kmer(){}

  void generate_kmer_frequency(int kmer_min, int kmer_max);
private:
  string output_dirt_;
  string file_name_;
  int kmer_min_;
  int kmer_max_;
protected:
  DISABLE_COPY_AND_ASSIGN(Kmer);
}; // class Kmer

} // namespace leri
#endif // LERI_KMER_H_
