/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_MCMC_H_
#define LERI_MCMC_H_
#include "leri/common.h" 

namespace leri {

template <typename Dtype>
class MCMC {
public:
  MCMC() {}
  ~MCMC() {}
  
  void init() {}
  void actuate() { print_text("It is coming soon ...", RED); };
  void actuate_gpu();
  void finish() {}
private:
  Dtype sample_normal();
  Dtype expectancy(Dtype x[], int size);
  Dtype calc_mult(Dtype a[], int size);
  // const Dtype pi = 3.1415926535897;
  const Dtype TUNED_VAR = 0.755;

protected:
  DISABLE_COPY_AND_ASSIGN(MCMC);
};

} // namespace leri
#endif // LERI_MCMC_H_
