/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains analysis of Nested Sampling Model.
 */

#ifndef LERI_MODEL_H_
#define LERI_MODEL_H_

#include "leri/common.h"
#include "leri/util/math.h"
  
namespace leri {

template <typename Dtype>
class ToyModel {
public:
  ToyModel():params(20) {}
  // ToyModel(int num_particles, int mcmc_steps, ToyModel<Dtype> model);
  ~ToyModel(){}
private:
  vector<Dtype> params;
public:
  // SpikeSlab();
  // Generate the point from the prior
  void from_prior();
  // Metropolis-Hastings proposals
  Dtype perturb();
  // Likelihood function
  Dtype log_likelihood() const;
  // Read from stream (binary format)
  void read(std::istream& in);
  // Write to stream (binary format)
  void write(std::ostream& out) const;
  // Write to stream (text format)
  void write_text(std::ostream& out) const;
// protected:
  // DISABLE_COPY_AND_ASSIGN(ToyModel);
}; // class ToyModel

} // namespace leri
#endif // LERI_MODEL_H_
