/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains of statistics
 */

#ifndef LERI_STATISTICS_H_
#define LERI_STATISTICS_H_

#include "leri/common.h"
#include "leri/util/matrix.h"
#include "leri/util/fileutil.h"

namespace leri {

template <typename Dtype> 
class Pearson {
public:
  inline Pearson(string file_name) {
    file_name_ = file_name;
  };
  inline virtual ~Pearson() {}
  void calc_pearson_coefficient(Dtype* pcc);

private:
  string file_name_;
  int row_;
  Dtype begin_init, begin_calc, end;
  Dtype time_serial_from_init, time_serial_from_calc, time_parallel_from_init, time_parallel_from_calc;

protected:
  DISABLE_COPY_AND_ASSIGN(Pearson);
};





} // namespace leri
#endif // LERI_STATS_H_
