/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_AFFINE_H
#define LERI_AFFINE_H
#include "leri/common.h"
#include "leri/util/malloc.h"

namespace leri {

// template <typename Dtype>
// inline void apply_rotation(Dtype* vec, const float*  U, const Dtype* r) {
//   // float3 ret;
//   vec[0] = U[0]*r[0] + U[1]*r[1] + U[2]*r[2];
//   vec[1] = U[3]*r[0] + U[4]*r[1] + U[5]*r[2];
//   vec[2] = U[6]*r[0] + U[7]*r[1] + U[8]*r[2];
//   // return ret;
// }

// template <typename Dtype>
// inline void apply_inverse_rotation(Dtype* vec, const float*  U, const Dtype* r) {
//   vec[0] = U[0]*r[0] + U[3]*r[1] + U[6]*r[2];
//   vec[1] = U[1]*r[0] + U[4]*r[1] + U[7]*r[2];
//   vec[2] = U[2]*r[0] + U[5]*r[1] + U[8]*r[2];
// }


// inline void axis_angle_to_rot(float* U, float angle, float3 axis) { // must be normalized
//   float x = axis.x;
//   float y = axis.y;
//   float z = axis.z;

//   float c = std::cos(angle);
//   float s = std::sin(angle);
//   float C = 1.f-c;

//   U[0*3+0] = x*x*C+c;   U[0*3+1] = x*y*C-z*s; U[0*3+2] = x*z*C+y*s;
//   U[1*3+0] = y*x*C+z*s; U[1*3+1] = y*y*C+c;   U[1*3+2] = y*z*C-x*s;
//   U[2*3+0] = z*x*C-y*s; U[2*3+1] = z*y*C+x*s; U[2*3+2] = z*z*C+c;
// }

// inline void relative_rotation(float*  V, const float* U1, const float* U2) { // V = transpose(U1) * U2
//   V[0] = U1[0]*U2[0] + U1[3]*U2[3] + U1[6]*U2[6];
//   V[1] = U1[0]*U2[1] + U1[3]*U2[4] + U1[6]*U2[7];
//   V[2] = U1[0]*U2[2] + U1[3]*U2[5] + U1[6]*U2[8];
//   V[3] = U1[1]*U2[0] + U1[4]*U2[3] + U1[7]*U2[6];
//   V[4] = U1[1]*U2[1] + U1[4]*U2[4] + U1[7]*U2[7];
//   V[5] = U1[1]*U2[2] + U1[4]*U2[5] + U1[7]*U2[8];
//   V[6] = U1[2]*U2[0] + U1[5]*U2[3] + U1[8]*U2[6];
//   V[7] = U1[2]*U2[1] + U1[5]*U2[4] + U1[8]*U2[7];
//   V[8] = U1[2]*U2[2] + U1[5]*U2[5] + U1[8]*U2[8];
// }

// inline void quat_to_rot(float*    U,  // length 9 (row-major order)
//             const float*  quat) { // length 4 (must be normalized)
//   float a = quat[0], b = quat[1], c = quat[2], d = quat[3];
//   U[0*3+0] = a*a+b*b-c*c-d*d; U[0*3+1] = 2.f*b*c-2.f*a*d; U[0*3+2] = 2.f*b*d+2.f*a*c;
//   U[1*3+0] = 2.f*b*c+2.f*a*d; U[1*3+1] = a*a-b*b+c*c-d*d; U[1*3+2] = 2.f*c*d-2.f*a*b;
//   U[2*3+0] = 2.f*b*d-2.f*a*c; U[2*3+1] = 2.f*c*d+2.f*a*b; U[2*3+2] = a*a-b*b-c*c+d*d;
// }


} // namespace leri
#endif // LERI_AFFINE_H