/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file detects GPUs.
 */

#ifndef LERI_GPU_DETECT_H_
#define LERI_GPU_DETECT_H_

#define RLEN 80

#include "leri/common.h"
// #include <mpi.h>

// cuda
#ifdef USE_GPU
#include <cuda.h>
#include <cuda_runtime.h>
#include <device_launch_parameters.h>
#endif

#define BLOCK_DIM_X 32
#define BLOCK_DIM_Y 32
#define BLOCK_SIZE BLOCK_DIM_X * BLOCK_DIM_Y // Statc block size of 32*32 (1024)

namespace leri {

// struct HostName{
//   int ng;
//   char hostname[RLEN];
// };

// typedef vector<HostName> hvec;
#ifdef USE_GPU
// int get_host(hvec &ids, HostName *new_host);
// int detector(const int ranko, const int sz, const bool display = false, const int startpos = 1);
// void gpu_printer(const int gpu_exist, const int ranko);
void get_grid_block_size(dim3 *grid, dim3 *block, unsigned int num);
#endif
}
#endif // LERI_GPU_DETECT_H_
