/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

// __linux__       Defined on Linux
// __sun           Defined on Solaris
// __FreeBSD__     Defined on FreeBSD
// __NetBSD__      Defined on NetBSD
// __OpenBSD__     Defined on OpenBSD
// __APPLE__       Defined on Mac OS X
// __hpux          Defined on HP-UX
// __osf__         Defined on Tru64 UNIX (formerly DEC OSF1)
// __sgi           Defined on Irix
// _AIX            Defined on AIX

#ifdef _WIN32
#define LERI_PLATFORM_WINDOWS
#include <windows.h>
#endif

#ifdef __linux__
#define LERI_PLATFORM_LINUX
#include <sys/sysinfo.h>
#include <unistd.h>
#endif

#include "leri/common.h"

namespace leri {

class Info {
public:
  Info() {}
  ~Info() {}
  void print_sysinfo();
private:
  static unsigned int get_CPU_count();
  static unsigned int get_CPU_frequency();

  static unsigned long get_RAM_size();
  static unsigned long get_RAM_free();
  static int get_RAM_usage();
};


} // namespace leri



