/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

#ifndef LERI_TIMER_H_
#define LERI_TIMER_H_

#include <time.h>
#ifdef __MACH__
#include <mach/clock.h>
#include <mach/mach.h>
#include <sys/time.h>
// clock_gettime does NOT work on OSX
int clock_gettime(int /*clk_id*/, struct timespec* t);
#endif

// sleep needed for threading
#include <unistd.h>
void lsleep(unsigned milliseconds);

/**
 * Timer class that keeps track of time
 */
class Timer {
  protected:
    struct timespec _start;
    struct timespec _end;

  public:
    Timer();
    void restart();  // Restart the timer
    float elapsed(); // Returns time elapsed (in seconds)
};

#endif // LERI_TIMER_H_
