/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */
 
#ifndef LERI_MATH_H_
#define LERI_MATH_H_

#include "leri/common.h"
#include <unistd.h>

namespace leri {

// Color schemes are obtained from https://htmlcolorcodes.com/color-names
static vector<string> colors = {
  // "rgb(152,125,195)", 
  "rgb(255, 215, 0)",   // Gold
  "rgb(255, 165, 0)",   // Orange
  "rgb(255, 69, 0)",    // OrangeRed
  "rgb(255, 99, 71)",   // Tomato
  "rgb(255, 127, 80)",  // Coral
  "rgb(147, 112, 219)", // MediumPurple
  "rgb(255, 140, 0)",   // DarkOrange
  "rgb(123, 104, 238)", // MediumSlateBlue
  "rgb(106, 90, 205)",  // SlateBlue
  "rgb(147, 112, 219)", // MediumPurple
  "rgb(128, 0, 128))",  // Purple
  "rgb(138, 43, 226)",  // BlueViolet
  "rgb(255, 255, 0)",   // Yellow
  "rgb(0, 0, 255)",     // Blue
  "rgb(255, 160, 122)", // LightSalmon
  "rgb(255, 0, 0)",     // Red
  "rgb(220, 20, 60)",   // Crimson
  "rgb(0, 255, 0)",     // Lime
  "rgb(255, 0, 255))",  // Fuchsia
};
// http://www.procato.com/rgb+index
// Cold to Warm
static vector<string> colors_1_ = {
  "#FFFFFF",  //  0 WHITE
  "#00FF7F",  //  1 Spring green
  "#00FF5F",  //  2 Sea green
  "#00FF3F",  //  3 Malachite green
  "#00FF1F",  //  4 Emerald green
  "#00FF00",  //  5 Green
  "#1FFF00",  //  6 Sap green
  "#3FFF00",  //  7 Harlequin
  "#5FFF00",  //  8 Pistachio
  "#7FFF00",  //  9 Chartreuse green
  "#9FFF00",  // 10 Spring bud
  "#BFFF00",  // 11 Lime green
  "#DFFF00",  // 12 Apple green
  "#FFFF00",  // 13 Yellow
  "#FFDF00",  // 14 Gold
  "#FFBF00",  // 15 Amber
  "#FF9F00",  // 16 Gamboge
  "#FF7F00",  // 17 Orange
  "#FF5F00",  // 18 Tangelo
  "#FF3F00",  // 19 Vermilion
  "#FF1F00"   // 20 Scarlet
};

// Chill to cold
static vector<string> colors_2_ = {
  "#FFFFFF",  //  0 WHITE
  "#5F00FF",  //  1 Blue violet
  "#3F00FF",  //  2 Indigo
  "#1F00FF",  //  3 Persian blue
  "#0000FF",  //  4 Blue
  "#001FFF",  //  5 Phthalo blue
  "#003FFF",  //  6 Sapphire blue
  "#005FFF",  //  7 Cobalt blue
  "#007FFF",  //  8 Azure
  "#009FFF",  //  9 Cornflower blue
  "#00BFFF",  // 10 Cerulean
  "#00DFFF",  // 11 Arctic blue
  "#00FFFF",  // 12 Cyan
  "#00FFDF",  // 13 Opal
  "#00FFBF",  // 14 Turquoise
  "#00FF9F"   // 15 Aquamarine
};
// Warm to hot
static vector<string> colors_3_ = {
  "#FFFFFF",  //  0 WHITE
  "#7F00FF",  //  1 Violet
  "#9F00FF",  //  2 Purple
  "#BF00FF",  //  3 Mulberry
  "#DF00FF",  //  4 Heliotrope
  "#FF00FF",  //  5 Magenta
  "#FF00DF",  //  6 Orchid
  "#FF00BF",  //  7 Fuchsia
  "#FF009F",  //  8 Cerise
  "#FF007F",  //  9 Rose
  "#FF005F",  // 10 Raspberry
  "#FF003F",  // 11 Crimson
  "#FF001F"   // 12 Amaranth
};

//void sleep(unsigned milliseconds) { usleep(milliseconds * 1000); }
void sleep(unsigned milliseconds);

}  // namespace leri
#endif // LERI_MATH_H_
