/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */
 
#ifndef LERI_VTF_H_
#define LERI_VTF_H_

#include "leri/common.h"
#include "leri/protein/protein.h"
#include "leri/util/fileutil.h"

namespace leri {

template <typename Dtype>
class VTF {
public:
  VTF(string output_dirt = "", string job_name = "")
  :output_dirt_(output_dirt),
   job_name_(job_name) {
    base_name_ = output_dirt_ + job_name_;
  }
  ~VTF() {}
  /* VTF format
   atom 0 name N  resid 0 resname ARG segid s0
  */
  void init(int offset = 1);
  void vtf2pdb(string vtf);

private:
  string output_dirt_;    // output directory
  string job_name_;       // job name
  string base_name_;      // basic name
  int num_frame_;
  int offset_;
protected:
  DISABLE_COPY_AND_ASSIGN(VTF);
}; // class VTF
} // namespace leri
#endif  // LERI_STRUTILS_H_
