# Config file for the Leri package.
#
# Note:
#   Leri and this config file depends on opencv,
#   so put `find_package(OpenCV)` before searching Leri
#   via `find_package(Leri)`. All other lib/includes
#   dependencies are hard coded in the file
#
# After successful configuration the following variables
# will be defined:
#
#   Leri_INCLUDE_DIRS - Leri include directories
#   Leri_LIBRARIES    - libraries to link against
#   Leri_DEFINITIONS  - a list of definitions to pass to compiler
#
#   Leri_HAVE_CUDA    - signals about CUDA support
#   Leri_HAVE_CUDNN   - signals about cuDNN support


# OpenCV dependency (optional)

#if(OFF)
#  if(NOT OpenCV_FOUND)
#    set(Leri_OpenCV_CONFIG_PATH "")
#    if(Leri_OpenCV_CONFIG_PATH)
#      get_filename_component(Leri_OpenCV_CONFIG_PATH ${Leri_OpenCV_CONFIG_PATH} ABSOLUTE)

#      if(EXISTS ${Leri_OpenCV_CONFIG_PATH} AND NOT TARGET opencv_core)
#        message(STATUS "Leri: using OpenCV config from ${Leri_OpenCV_CONFIG_PATH}")
#        include(${Leri_OpenCV_CONFIG_PATH}/OpenCVModules.cmake)
#      endif()
#    else()
#      find_package(OpenCV REQUIRED)
#    endif()
#    unset(Leri_OpenCV_CONFIG_PATH)
#  endif()
#endif()

# Compute paths
get_filename_component(Leri_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(Leri_INCLUDE_DIRS "")



# Our library dependencies
if(NOT TARGET leri AND NOT leri_BINARY_DIR)
  include("${Leri_CMAKE_DIR}/LeriTargets.cmake")
endif()

# List of IMPORTED libs created by LeriTargets.cmake
set(Leri_LIBRARIES leri)

# Definitions
set(Leri_DEFINITIONS "")

# Cuda support variables
set(Leri_USE_GPU OFF)
set(Leri_HAVE_CUDA FALSE)
set(Leri_HAVE_CUDNN )
