/**
 * The C++ Package of LERI (Learning Engine to Recognize Life).
 * Copyright 2015-present (C) Leri Ltd. All Rights Reserved.
 * Contact: Dr Yaan J. Jang (yaan.jang 'AT' gmail.com)
 *
 */

/**
 * This file contains the implementation of Genomics 
 *
 */

#ifndef LERI_GENOMICS_H_
#define LERI_GENOMICS_H_

#include "leri/common.h"
#include "leri/omics/genomics_tmp.h"
// #include "leri/fastx.h"

namespace leri {


// const size_t MAX_INPUT_SIZE = 1 << 30;  // TODO:

template <typename Dtype>
class Genomics {
public:
  Genomics(){}
  explicit Genomics(string file_name):
  file_name_(file_name){}
  virtual ~Genomics(){}

  void synteny();
private:
  string file_name_;
protected:
  DISABLE_COPY_AND_ASSIGN(Genomics);
}; // class Genomics










} // namespace leri
#endif // LERI_GENOMICS_H_
